Get cart for the given cart ID or user auth token (cart decoupled) - Fabric

Get cart for the given cart ID or user auth token (cart decoupled)

cURL

curl --request GET \
  --url https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart-decoupled \
  --header 'x-site-context: <x-site-context>'

Python

import requests

url = "https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart-decoupled"

headers = {"x-site-context": "<x-site-context>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch API)

const options = {method: 'GET', headers: {'x-site-context': '<x-site-context>'}};

fetch('https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart-decoupled', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Responses

Status Codes: 200, 400, 404, 500

Example Response (200):

{
  "registeredUser": false,
  "account": "<string>",
  "approver": "<string>",
  "po": "<string>",
  "cartId": 111166,
  "status": "pending",
  "allPromosApplied": "<array>",
  "attributes": "<array>",
  "__v": 0,
  "totalAmount": {
    "currency": "USD",
    "amount": 38
  },
  "quantity": 2,
  "_id": "5fee9d59f2f08a1b3cbdea08",
  "createdAt": "2020-12-31T02:09:53.914Z",
  "updatedAt": "2020-12-31T02:09:53.914Z",
  "deleted": false,
  "items": [
    {
      "price": {
        "discount": {
          "discountAmount": 0,
          "price": 0,
          "promosApplied": "<array>"
        },
        "sale": 0,
        "base": 19,
        "currency": "USD"
      },
      "sample": false,
      "isUnique": false,
      "discountedQuantity": 0,
      "group": [
        "123123123123123123123123"
      ],
      "weightUnit": "lb",
      "isPickup": false,
      "itemId": 15,
      "sku": "sk231212",
      "taxCode": "TC1234567890",
      "title": "fabric t-shirt",
      "weight": 4.2,
      "quantity": 2,
      "lineItemId": 1,
      "attributeTotalPrice": 0,
      "totalPrice": {
        "currency": "USD",
        "amount": 38
      },
      "attributes": "<array>",
      "id": "6141a40c13f13a000876272a",
      "_id": "5fee9d59f2f08a1b3cbdea08",
      "createdAt": "2020-12-31T02:09:53.914Z",
      "updatedAt": "2020-12-31T02:09:53.914Z"
    }
  ]
}

Error Response (e.g., 404):

{
  "code": "CART_NOT_FOUND",
  "message": "Cart not found."
}

Headers

Example: {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}

Query Parameters